Subject: Re: [savi] dealing with topology changes in dhcp savi

From: "Bi Jun" <[email-masked]>
Date: Tue, 9 Mar 2010 18:50:22 +0800

by the way, if this is a planed reboot of SAVI-I, then the approach of 
saving state before rebooting will work.

thanks,
Jun

--------------------------------------------------
From: "Bi Jun" <[email-masked]>
Sent: Tuesday, March 09, 2010 6:47 PM
To: "marcelo bagnulo braun" <[email-masked]>; "SAVI Mailing List" 
<[email-masked]>
Subject: Re: [savi] dealing with topology changes in dhcp savi

> Hi Marcelo,
>
> Since you are entitled "topology change", I want to say sth.
> Based on our operational experience, if we do a planed topology change,
> then we have to plan we will have more serious problem than this.
> So topology change in an operational network is usually carefully planed.
> We don't do it very often, and once we do it, we will let users understand 
> us.
>
> So I don't see a problem of planed topology change. The only thing is the 
> power-down
> of a switch, which is really a low frequency event in an operational 
> network. If we found the power down, we will also inform users (only users 
> under that switch will be affected, not all users will be affect) that if 
> you had any problem thank you please renew your connection.
>
> thanks,
> Jun Bi
>
> --------------------------------------------------
> From: "marcelo bagnulo braun" <[email-masked]>
> Sent: Tuesday, March 09, 2010 3:51 PM
> To: "SAVI Mailing List" <[email-masked]>
> Subject: [savi] dealing with topology changes in dhcp savi
>
>> Hi,
>>
>> I have another question about dhcp save
>>
>> How do you handle the following situation?
>>
>>    In the case SAVI is being deployed in a switched Ethernet network,
>>    topology changes may result in a SAVI device receiving packets from a
>>    legitimate user for which the SAVI device does not have a binding
>>    for.  Consider the following example:
>>
>>
>>
>>           +------+             +--------+       +---------------+
>>           |SAVI I|-------------|SWITCH I|-------|rest of the net|
>>           +------+             +--------+       +---------------+
>>              |                    |
>>              |                 +--------+
>>              |                 | SAVI II|
>>              |                 +--------+
>>              |   +----------+     |
>>              +---|SWITCH II |-----+
>>                  +----------+
>>                      |
>>                   +-----+
>>                   | Host|
>>                   +-----+
>>
>>
>>    The DHCP server is located in the part called rest of the network.
>>    Suppose that after bootstrapping all the elements are working
>>    properly and the spanning tree is rooted in the router and it
>>    includes one branch that goes SWITCH I-SAVI I- SWITCH II and another
>>    branch that goes SWITCH I-SAVI II.
>>
>>    Suppose that the Host boots at this moment and perfomrs the DHCP 
>> sxchange.
>>    The message is propagated through the spanning tree and it received
>>    by SAVI I but not by SAVI II. Same happens with the reply.
>>    SAVI I creates the binding.
>>
>>    Suppose that SAVI I fails and the spanning tree reconverges to SWITCH
>>    I- SAVI II- SWITCH II.  Now data packets coming from the Host will be
>>    coursed through SAVI II which does not have binding state and will
>>    drop the packets.
>>
>> Regards, marcelo
>>
>>
>>
>> _______________________________________________
>> savi mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/savi
>>

---

From: marcelo bagnulo braun <[email-masked]>
Date: Mon, 15 Mar 2010 13:10:18 +0100

As i mention in the other email, suppose it is not a planned event, but 
just a failure

El 09/03/10 11:50, Bi Jun escribió:
>> We don't do it very often, and once we do it, we will let users 
>> understand us.
>>
>> So I don't see a problem of planed topology change. The only thing is 
>> the power-down
>> network. If we found the power down, we will also inform users (only 
>> users under that switch will be affected, not all users will be 
>> affect) that if you had any problem thank you please renew your 
>> connection.
>>
>> thanks,
>> Jun Bi
>>